ssWPI v16.08.18.0:

Add Category Screenshot/icons in Theme\{Theme}\Categories\{Category} .jpg is screenshot .png is icon
ADD: Emulator Support
FIX: Allow Quit from File Menu (I had never added this). 
FIX: QHD Resolutions now supported.
UPDATE: SetupS

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
How to use Emulator Mode:

.\Emulators\Atari\StellaX\Stella.exe
.\Emulators\Atari.cmd
.\ROMs\Atari\Barnstorming.bin
.\ROMs\MetaData\AtariBarnstorming.ini
.\ROMs\MetaData\AtariBarnstorming.jpg

All you need to do to add a new ROM is copy it into the .\ROMs section and when you run ssWPI it will list the rom and generate the Metadata placeholder for you, populate any data and it will be available to ssWPI instantly.

.\Emulators\{Platform}.cmd:
Atari.cmd: (Example also shows how to allow spaced ROM names)
@echo off
setlocal enabledelayedexpansion
set str=%1 %2 %3 %4 %5 %6 %7 %8 %9
for /l %%a in (1,1,31) do if "!str:~-1!"==" " set str=!str:~0,-1!
%~DP0Atari\StellaX\Stella.exe -fullscreen 1 -center 1 "%str%"

.\ROMs\{Platform}\.bin .zip .adf .n64 etc...
Place your roms directly in the above folder depending on platform subfolder and when you run ssWPI it will create the empty MetaData folder/files for you to populate.

.\ROMs\MetaData\{Platform}(Title}

{Platform}(Title}.ini:
AtariBarnstorming.ini: (Example)
Category=Atari|Flight
Description=The player must pilot a biplane through a series of barns in the shortest time possible while dodging windmills, weather vanes, and geese. Bumping into anything slows down the plane for a couple of seconds, increasing the overall time.

{Platform}(Title}.jpg: Screenshot

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

----------------------------------------

ssWPI v15.11.30.0:

FIX: Removed help to allow ssWPI to work in Win 10 LivePE. 
UPDATE: SetupS

-----------------------------------------

ssWPI v15.09.10.0:

FIX: Correctly detect Windows 10
ADD: -LoadDefaultPreset so you can call it up at the end of installation (REG ADD \RunOnce + SetupComplete.cmd or via PostLogonApps or a shortcut on the desktop) with your prefered selection (Preset).
ADD: Support for (OS=4 (Win 10)) in .app files

-----------------------------------------

ssWPI v14.11.9.0:

ADD: "-" to ppApp & ppGame drive selection on options (to remove any set drive letters).
ADD: Detect drives that have \ppApps or \ppGames folders and set them as the default output if no ppAppDrive.ini or ppGameDrive.ini are found on current system.
FIX: More Crash Protection added for Read Only file Access on UAC enabled OS's.
FIX: Save Current List now includes Arch in it's saved Titles

-----------------------------------------

ssWPI v14.11.1.0:

ADD: -10 command line for locking to windows 10 detection
ADD: Windows 10 now detected and available in presets

-----------------------------------------

ssWPI v13.12.17.0:
* Please Report any problems with this version in LivePE's or any OS's you can to make sure not bugs were created from the change over.

CHANGE: Compiled with Xojo instead of RealStudio.
REMOVE: Mask Fix for clipboard images used in edit mode.

-----------------------------------------

ssWPI v13.11.29.0:

ADD: Allow setting Keep advanced Menu from LivePE and apply post install. (Requires updated ssWPIMon in LivePE)
ADD: "Keep advanced Startmenu folders" to ssWPI Options, Reads value from ssConfig.ini on startup.
ADD: DisableTips= To Options, this allows you to skip any dialogs that do not ask questions.
ADD: Missing Shortcuts Category added to Launcher mode's editor (for finding broken/missing ppGames/Apps shortcuts)
ADD: Debug Log Button added to Debug Screen, Allows saving extraction issues to the desktop for reviewing bad .apz .pgz files.
FIX: Hide Tags header when in edit mode as it makes the Category Combo glitchy.

-----------------------------------------

ssWPI v13.11.05.0:

FIX: Picking an item that didn't have a URL would cause the Tags field's graphics to be corrupted (looked like it was bold).
FIX: Wasn't installing any items that had an & in the file name (ReplaceAll(InItem,"&", "*") in InstallItem).
FIX: -NewSetup would crash due to showing the Main GUI before it had loaded the theme.
FIX: When -NewSetup Crash occured it would place nil (0,0,0,0) into the registry and crash ssWPI, I added a Fallback when this occurs.
ADD: Copy Selection To Folder (in File Menu)

-----------------------------------------

ssWPI v13.10.27.1:

REMOVE: Language Field from being displayed.
CHANGE: License is now a Screenshot Overlay (Field Removed).
CHANGE: Publisher moved to single column meta fields.
ADD: RunLauncherAsAdmin=Yes To Options.ini
CHANGE: Reduced ssWPI.exe to smaller size instead of 10.5mb by building the default graphics at runtime instead of storing as all bitmap images, also included default Corner License GFX which increased it another 2.4mb.
CHANGE: Show Splash before Asking for Admin access.
CHANGE: Only uses Top and Height positions for Headers + Stats, aligns them centered to the listboxes you provide, this makes it re-draw faster/cleaner.
CHANGE: Optimized Redrawing and Scaling routines to reduce delay and flicker.
ADD: SetHeightFields=11 To Layout.ini, allows closer layout.
CHANGE: Fields without Data are now Hidden.
CHANGE: Ordered Fields differently so if URL is empty the tags field will use the full width instead.
CHANGE: Minimum Width lowered to show Item icon with smaller form, due to single column meta data needing less space.
FIX: Non-Scaled Themes would not fill available space
FIX: Non-Scaled Themes would crash if you shrink the right side with separator too much.
FIX: Tags Field was not shrinking when Category + URL is shown.
FIX: If Set StartupCategory from ssWPI_Options.ini isn't found it now reverts to "All" instead of showing 0/0 items and the All category being highlighted but not picked.

-----------------------------------------

ssWPI v13.10.21.1:

FIX: Hide Separators in scale theme mode.
ADD: Allow Semi Scaled Themes, via Layout.ini.
ADD: Hide Tags to Options and .ini file.
FIX: Crash when pressing Space on nil item.
FIX: Text Colours in Linux OS's.
CHANGE: Non Transparent List Gaps are now from the top of the Category List box to the bottom of the Items List box only.
FIX: Added more protections against crashes.
FIX: Pressing F12 to hide/show menu would crash on first run with the new scalable themes.
ADD: Started Logging Errors to temp path within Code/Execution (optional at compile).
ADD: iTheme back again.
ADD: Border Customization to ListBoxes and Description Field.
ADD: Store last used item and go back to it when you re-run Launcher mode (If it exists in the new list).
ADD: SetLowerRight To new Layout.ini for moving Start Icon and Fields position.
FIX: Themes without SetLowerRight will revert to using the Tag Combo Box and Screenshot Far right as it's position.
ADD: SetHeadersOff=True To Layout.ini.
ADD: FieldDescription=1064,724,1850,1100 to Layout.ini. It only uses the Left,Top and Width as the Height is dynamic to the Meta Data Fields.
ADD: More Themes.
FIX: DB Data corrupted crash on startup.

-----------------------------------------

ssWPI v13.8.22.0:

ADD: Ignore Installed Sizes, so you not constantly asked to update it.
CHANGE: Empty tag text when adding to tag list
CHANGE: Jump back to tag text when using the Plus Tag button.
FIX: Keeps current Category filter when changing Editing items Category.
FIX: Wrong Categories selected when entering or exiting Edit Mode.
ADD: Use Local 7z.exe if not included in tools path.
FIX: Added quotes around 7z path to allow spaces.
ADD: Fallback to not use StartWait.exe if not found.
ADD: Update All Items - To update all ini files to new style INI Format.
ADD: Set License For All Items - To Update their License (also gets folder/file sizes, but only if required).
FIX: Use of & in Folder names would break opening/updating them in ssEditor (replaces & with * and SetupS puts them back again).

-----------------------------------------

ssWPI v13.7.5.0:

ADD: Pause now changes to Continue - when pressed on Mini Installer

-----------------------------------------

ssWPI v13.6.30.0:

ADD: Use Local DB to Options Screen

-----------------------------------------

ssWPI v13.6.19.0:

CHANGE: Category changed to Categories.

CHANGE: * Categories * + * Edit Items * displayed when in edit mode.

FIX: Some files were being left open after being read, this locked them from being accessible by other tools.

UPDATE: x2ico

-----------------------------------------

ssWPI v13.6.6.1:

ADD: It will now Apply a Menu Sorting if you manually pick one from the LivePE or the running OS and do not select any apps to install.

CHANGE: -NewSetup will Always be on top now, so Windows Setup will not hide it in LivePE.

-----------------------------------------

ssWPI v13.5.6.1:

ADD: Store last used Repository URL in the Registry for Generating Download or Share URL's

ADD: Generate URL Shares - Styled text for posting items on a forum.

ADD: Autobuild (With ssEditor) to desktop in ssWPI Launcher mode, so you can easily upload a ppGame you have installed/updated/edited with ssWPI/ssEditor without it deleting the installed version off your PC.

CHANGE: It will now copy the Generated URLs/Shares to the clipboard regardless of if you save it to a file or not (just close save dialog to have it in your clipboard only).

UPDATE: Included new SetupS Version 

-----------------------------------------

ssWPI v13.5.3.8:

FIX: Hide Advanced Features - Could still press F4 to show missing Categories (even tho edit mode would be impossible.

FIX: Hide Advanced Features - Could still press F7 to restart in Installer/Launcher mode (even tho locked down).

FIX: If Theme.ini was not found, it wouldn't make a new one, so would revert back to Default every time.

FIX: If Missing ssWPI_Options.ini then Spash would be off default.

-----------------------------------------

ssWPI v13.5.3.7:
ADD: Holding Control Or Shift when you right click a field will paste from the clipboard, it will also poste if the field is empty. If you hold Shift it will replace it, if you hold control it will append it. You will have to manually put a | before appending to Tags or Categories still.

FIX: It was sometimes losing the previously selected Categories when switching modes only when ssWPI first starts up.

FIX: Wasn't re-highlighting previous Categories properly.

ADD: Saves Show Debug 7z when editing/updating items option. I found the problem has all but gone away, Search Everything or my AV or something was trying to update or scan the active files and this was also causing 7z to leave a .tmp version of the app in the apps path, and didn't update the .7z because it was in use. 

ADD: Now checks if the file is currenty locked and asks to try again, if it fails then it will backup the .app .ppg to the ssWPI's Desktop Recover folder.

FIX: Wouldn't filter out Arch or License while in edit mode.

CHANGE: Trims excess spaces from field text before saving, then updates the items data before saving to LocalDB.

-----------------------------------------

ssWPI v13.5.3.6:
ADD: Saving an Edit will now Report what 7Zip did and if it was succesfully or not.

FIX: Turns out Realstudio had implements A 2 Second time out on Mode 0 Shells, the only main timer I was using Mode 0 on was the Update timer, so users couldn't continue using ssWPI while it was doing it, but after 2 seconds it would just Force quit 7z and break the archives. I changed to Mode 1 now and this should fix any problems from occuring again.

FIX: Changed all shell's to Mode 1 and added While Wend loops to monitor them instead of using Mode 0 Shells that time out after 2 seconds whenever they feel like it.

-----------------------------------------

ssWPI v13.5.1.5:
JOB: Cleaned up Project in IDE

ADD: Stays on Active Control/Field when using Page Up and Page Down to Change to Prev/Next Item, for rapid changing of data.

ADD: Edit Mode/Items List/Context Menu: - Copy Item To Clipboard, Add Data From Clipboard - This allows you to copy an items data and paste it into another items data, only adds if new items Field is Empty, else it keeps it's current data, handy for cloning Tags/Publishers/URL etc into an item your working on if released by the same group/publisher, then you just remove the obsolete data before saving the changes to the new item. The Clipboard is persistent until you close ssWPI and doesn't affect the real Windows Clipboard.

ADD: You can use c,p to set Commercial text (just press enter after typing it on License field), n,f for Non Commercial, o for open-source, just a quicker way to get the data in.

FIX: *major fix* It was deleting the ssApp.app ppApp.app and ppGame.ppg if you clicked on a new item before it had finished updating the apz/pgz.

ADD: Protection against 7z updating of .app .ppg failing, if it can not be found inside the produced .apz .pgz, then it will clone it to your desktop in \Recover_ssWPI\{APZ/PGZ Name}\ssApp.app etc.

FIX: It was filtering out items of different types with the same title (eg ssApp and ppApp version of GIMP it would keep the ssApp only)

CHANGE: I made 7z use the .apz .pgz folder when updating, instead of using ssWPI's, this speeds it up as it doesn't have to cache across 2 drives/partitions if it's on a different one to where ssWPI is.

-----------------------------------------

ssWPI v13.5.1.4:
CHANGE: Supports using &h or # hex colors in Style.ini for themes

UPDATE: Category.ini with the work I did this morning

-----------------------------------------

ssWPI v13.5.1.3:
ADD: Saves Tags and restores them when switching between edit mode.

ADD: Filters by Tags while in Edit Mode now.

FIX: Optimized Populating List Items when Filtering with Tags, 4 Times Quicker

JOB: Joined Single and Multi Category mode into a single Filter/loop.

ADD: Silent Update Item Changes, this is a power users option, so it is not saved and is only available to enable while in Edit mode, Disabled when Advanced Features are off.

FIX: Enabled Error protection on Get All Locations

-----------------------------------------

ssWPI v13.5.1.1:
FIX: Restarting ssWPI at all would cause it no to draw the list.

ADD: Method to hide/show Non Tagged items when filtering list by tags.

CHANGE: Cursor now changes to Text I Beam when over fields in Edit Mode.

FIX: URL Help Tag Text was staying set in Edit Mode.

FIX: Asking to save changes if you tick/untick the item your editing while in Edit Mode.

ADD: New ssWPI_Options.ini value: HideNoTagItemsIfFiltered=Yes

FIX: Made DB Quality test silent for InstallOnly mode, so doesn't stop auto install (just forces folder to be re-scanned silently).

CHANGE: Now starts up with all saved Categories you listed on Settings save (one or more)

JOB: Cleaned Out Code, Removed Unused Variables.

FIX: Wasn't updating compressed .app .ppg files, due to same date/time: added -uw2x2y2z2 as shown in  http://docs.bugaco.com/7zip/MANUAL/switches/update.htm

FIX: Optimized Drawing List Items (over 5 times quicker now).

ADD: Tells you which Extra Locations it's loading from (on Splash screen).

FIX: Wasn't hiding Parent Items when loading from DB.

CHANGE: Launcher Mode - Now removes {#1} etc from Shortcut Names.

CHANGE: Launcher Mode - Sets Shortcut Flags for Is_x86 & Is_x64 and updates the title to include arch & filters them accordingly

ADD: Removes ssWPI_Launcher_DB.ini from set ppGames if you are installing new ppGames (so it will rescan for items when you run the Launcher or switch to Launcher Mode again)

FIX: Changing Theme wouldn't style the Description if item was Default one.

CHANGE: Cleaned layout of Options screen.

ADD: RescanOutDatedDBs= & HideMissingINIItems=, both of these may slow loading ssWPI from CD or USB 1.1 speed drives, if you set Rescan then it will make a shiny new DB file (if LocalDB's is enabled) or if you have HideMissingINIItems enabled it will only hide the missing items instead.

FIX: Couldn't Erase License by deleting it

FIX: Would jump back to updating item if using the arrow keys or pageup/down to move off item when it needed updating

ADD: Detect @ in Compressed INI files and ask to update License to Commercial if no License has been set already.

OTHER: Various fixes I forgot to document

-----------------------------------------

ssWPI v13.4.28.6:
FIX: - There is a bug in Priority where it was setting unspecified items to 5 instead of 005, making the order of install incorrect.

CHANGE: - I made the default google search (When clicking on the App Title Header), to be without the Version Number, if you hold in shift it'll search with the Version number appended now.

ADD: ppApps now work with the Launcher, Optional of cause, new Checkbox on Options screen and new Value in ssWPI_Options.ini; ScanppAppsForLauncher=Yes

CHANGE: I also changed "ssWPI_ExtraLocations_Games.ini" to "ssWPI_ExtraLocations_Launcher.ini" so if you'll be using that file in Future releases of ssWPI, you'll need to rename it or re-add them.

ADD: Added Extra Locations Removal from a button on the Options Screen.

CHANGE: ssWPI_Games_DB.ini To ssWPI_Launcher_DB.ini to make it suitable for ppApp Inclusions.

FIX: Lost index's when adding Manual Location (Now restarts ssWPI to add them)

FIX: It was doing the Items List twice per click.

ADD: Don't Hide Duplicate Items or Old Versions (Speeds up loading) Optional from Options screen; HideDuplicateAndOldVersionItems=Yes

ADD: Stats (counters) are now Optional to show and hide in both modes.

ADD: Stats will show appropriate mouse hover popup in Launcher Mode now.

ADD: Requests to Restart ssWPI when changing Options that require one.

ADD: ChangeLog.txt To Development folder.
